aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorrubo77 <github@r.z11.de>2018-07-20 18:26:57 +0200
committerrubo77 <github@r.z11.de>2018-07-21 05:38:52 +0200
commit83d0c018531403e14b3af745da8c86d9a4bf9e94 (patch)
tree0a2f98629c08909aad38631fff0e0e87136bfdd2
parentdd7965995d3892428631255cf126bf2fe0ac5d25 (diff)
validate script:
- more verbose - git clone of gluon-packages only depth 1 user packages 1000 - exit if lua is missing or check_site.lua gives an error
-rwxr-xr-xtests/validate_site.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/tests/validate_site.sh b/tests/validate_site.sh
index af21130..361eb29 100755
--- a/tests/validate_site.sh
+++ b/tests/validate_site.sh
@@ -7,7 +7,16 @@ GLUON_PACKAGES_BRANCH='master'
P=$(pwd)
echo "####### validating $P/site.conf ..."
+which lua5.1
+if [ "$?" == 1 ]; then
+ echo lua5.1 not present!
+ echo install with sudo apt install lua5.1
+ exit 1
+fi
GLUON_SITEDIR="." lua5.1 tests/site_config.lua
+if [ "$?" == 1 ]; then
+ exit 1
+fi
echo "####### validating $P/make-release.sh ..."
bash -n $P/make-release.sh
@@ -38,9 +47,10 @@ for feed in $GLUON_SITE_FEEDS; do
echo "branch $branch_var missing"
exit 1
fi
- git clone -b "$branch" --depth 1 --single-branch "$repo" $feed
+ git clone -b "$branch" --depth 1000 --single-branch "$repo" $feed
if [ "$?" != "0" ]; then exit 1; fi
cd $feed
+ echo "git checkout $commit"
git checkout "$commit"
if [ "$?" != "0" ]; then exit 1; fi
cd -